orbit.sensors.patterns
======================

.. automodule:: omni.isaac.orbit.sensors.patterns

  .. rubric:: Classes

  .. autosummary::

    PatternBaseCfg
    GridPatternCfg
    PinholeCameraPatternCfg
    BpearlPatternCfg

Pattern Base
------------

.. autoclass:: PatternBaseCfg
    :members:
    :inherited-members:
    :exclude-members: __init__

Grid Pattern
------------

.. autofunction:: omni.isaac.orbit.sensors.patterns.grid_pattern

.. autoclass:: GridPatternCfg
    :members:
    :inherited-members:
    :exclude-members: __init__, func

Pinhole Camera Pattern
----------------------

.. autofunction:: omni.isaac.orbit.sensors.patterns.pinhole_camera_pattern

.. autoclass:: PinholeCameraPatternCfg
    :members:
    :inherited-members:
    :exclude-members: __init__, func

RS-Bpearl Pattern
-----------------

.. autofunction:: omni.isaac.orbit.sensors.patterns.bpearl_pattern

.. autoclass:: BpearlPatternCfg
    :members:
    :inherited-members:
    :exclude-members: __init__, func
